Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.host
Class ScopeHost

    java.lang.Object
      org.kohsuke.rngom.parse.host.Base
          org.kohsuke.rngom.parse.host.GrammarSectionHost
              org.kohsuke.rngom.parse.host.ScopeHost

All Implemented Interfaces:
  GrammarSection, Scope

Direct Known Subclasses:
  GrammarHost

    public class ScopeHost

extends GrammarSectionHost
implements Scope

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Nested Class Summary

Nested classes/interfaces inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`GrammarSection.Combine`

Field Summary
`protected Scope` | `lhs`
`protected Scope` | `rhs`

Fields inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`COMBINE_CHOICE, COMBINE_INTERLEAVE, START`

Constructor Summary
`protected` | `ScopeHost(Scope lhs, Scope rhs)`

Method Summary
`ParsedPattern` | `makeParentRef(java.lang.String name, Location _loc, Annotations _anno)`
`ParsedPattern` | `makeRef(java.lang.String name, Location _loc, Annotations _anno)`

Methods inherited from class org.kohsuke.rngom.parse.host.GrammarSectionHost
`define, makeDiv, makeInclude, topLevelAnnotation, topLevelComment`

Methods inherited from class org.kohsuke.rngom.parse.host.Base
`cast, cast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`define, makeDiv, makeInclude, topLevelAnnotation, topLevelComment`

Field Detail

### lhs

    protected final Scope lhs

### rhs

    protected final Scope rhs

Constructor Detail

### ScopeHost

    protected ScopeHost(Scope lhs,
                        Scope rhs)

Method Detail

### makeParentRef

    public ParsedPattern makeParentRef(java.lang.String name,
                                       Location _loc,
                                       Annotations _anno)
                                throws BuildException

  Specified by:
    `makeParentRef` in interface `Scope`
  Throws:
    `BuildException`

### makeRef

    public ParsedPattern makeRef(java.lang.String name,
                                 Location _loc,
                                 Annotations _anno)
                          throws BuildException

  Specified by:
    `makeRef` in interface `Scope`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD